<!DOCTYPE html>
<html lang="cs">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="Webová prezentace projektu RC Racer">
    <meta name="author" content="Oscar Hernández">

    <title>RC Racer</title>

    <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon">
    <link rel="icon" href="/favicon.ico" type="image/x-icon">

    <!-- Bootstrap Core CSS -->
    <link href="vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="vendor/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic"
          rel="stylesheet" type="text/css">

    <!-- Custom CSS -->
    <link href="css/stylish-portfolio.css" rel="stylesheet">

    <link rel="stylesheet" type="text/css" href="http://x3dom.org/download/x3dom.css"/>
    <script type="text/javascript" src="http://x3dom.org/download/dev/x3dom-full.js"></script>
</head>

<body>
<!-- Navigation -->
<a id="menu-toggle" href="#" class="btn btn-dark btn-lg toggle">
    <i class="fa fa-bars"></i>
</a>
<nav id="sidebar-wrapper">
    <ul class="sidebar-nav">
        <a id="menu-close" href="#" class="btn btn-light btn-lg pull-right toggle">
            <i class="fa fa-times"></i>
        </a>
        <li class="sidebar-brand">
            <a class="js-scroll-trigger" href="#top">RC Rider</a>
        </li>
        <li>
            <a class="js-scroll-trigger" href="#top">Domů </a>
        </li>
        <li>
            <a class="js-scroll-trigger" href="#about">O projektu</a>
        </li>
        <li>
            <a class="js-scroll-trigger" href="#team">Tým</a>
        </li>
        <li>
            <a class="js-scroll-trigger" href="#models">Modely</a>
        </li>
        <li>
            <a class="js-scroll-trigger" href="#scene">Celá scéna</a>
        </li>
        <li>
            <a class="js-scroll-trigger" href="#contact">Kontakt</a>
        </li>
    </ul>
</nav>

<!-- Header -->
<header class="header" id="top">
    <div class="text-vertical-center">
        <img src="img/Logo.png">
        <h1>RC Rider</h1>
        <h3>A7B39MVR tým 2017-3: Oscar Hernández &amp; Filip Kotrba</h3>
    </div>
</header>

<!-- About -->
<section id="about" class="about">
    <div class="container text-center">
        <h2>RC Rider</h2>
        <p class="lead">
            RC Rider vznikl jako semestrální projekt pro předmět A7B39MVR - 3D Modelování a virtuální realita na
            Fakultě&nbsp;Elektrotechnické Českého&nbsp;vysokého&nbsp;učení&nbsp;technického&nbsp;v&nbsp;Praze.
        </p>
        <p class="lead">
            Hlavní nápad pro téma projektu vznikl ze zadání, kde je stanoveno, že součástí konečné práce je vozidlo,
            které se bude dálkově ovládat pomocí elementů ve webové stránce. Toto vedlo k myšlence, že tedy vozidlo může
            být podáno jako hračka na dálkové ovládání a scénou je dětské hřiště.
        </p>
    </div>
    <!-- /.container -->
</section>

<!-- Services -->
<section id="team" class="services bg-primary text-white">
    <div class="container">
        <div class="row text-center">
            <div class="col-lg-10 mx-auto">
                <h2>Tým 2017-3</h2>
                <hr class="small">
                <div class="row">
                    <div id="oscar" class="col">
                        <div class="service-item">
                  <span class="fa-stack fa-4x">
                    <img class="img-thumbnail rounded-circle" src="img/member_1.jpg">
                  </span>
                            <h4>
                                <strong><br/>Bc. Oscar Hernández</strong>
                            </h4>
                            <p>3. ročník magisterského studia</p>
                            <p>Obor Otevřená Informatika - Softwarové Inženýrství</p>
                            <a href="mailto:hernaosc@fel.cvut.cz" class="btn btn-light">hernaosc@fel.cvut.cz</a>
                        </div>
                    </div>
                    <div id="filip" class="col">
                        <div class="service-item">
                  <span class="fa-stack fa-4x">
                    <img class="img-thumbnail rounded-circle" src="img/member_2.jpg">
                  </span>
                            <h4>
                                <strong><br/>Filip Kotrba</strong>
                            </h4>
                            <p>1. ročník bakalářského studia</p>
                            <p>Před 1. checkpointem opouští tým a ukončuje studium</p>
                        </div>
                    </div>
                </div>
                <!-- /.row (nested) -->
            </div>
            <!-- /.col-lg-10 -->
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container -->
</section>

<!-- Callout -->
<aside class="callout models">
    <div id="models" class="text-vertical-center">
        <h1>Modely</h1>
    </div>
</aside>

<!-- Portfolio -->
<section id="quad" class="portfolio">
    <div class="container">
        <div class="row">
            <div class="col-lg-10 mx-auto text-center">
                <h2>Čtyřkolka - <a href="#oscar">Oscar Hernández</a></h2>
                <hr class="small">

                <h3>Předloha</h3>
                <div class="row">
                    <div class="col-md-6">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/4524.jpg">
                            </a>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/quad.jpg">
                            </a>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/Xtreme_Black_Nitro_50cc_Quad_Bike_1.jpg">
                            </a>
                        </div>
                    </div>
                </div>

                <h3>Hotový model</h3>
                <div class="row">
                    <div class="col-md-6">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/quad1-smooth.png">
                            </a>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/quad2-smooth.png">
                            </a>
                        </div>
                    </div>
                </div>

                <h3>Hotový model X3D</h3>
                <div class="row">
                    <div class="col">
                        <div class="x3d-cont">
                            <X3D class="x3d-item" xmlns="http://www.x3dom.org/x3dom" showStat="false" showLog="false"
                                 x="0px" y="0px" altImg="img/nox3d.png">
                                <Scene DEF='scene'>
                                    <Inline id="quad-x3d" url="x3d/quad.x3d"></Inline>
                                </Scene>
                            </X3D>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.col-lg-10 -->
        </div>
        <!-- /.row -->

        <div class="row">
            <div class="col-lg-10 mx-auto text-center">
                <h2>Okrasné stromy - <a href="#filip">Filip Kotrba</a></h2>
                <hr class="small">

                <h3>Předloha</h3>
                <div class="row">
                    <div class="col-md-6">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/22Gyhrz.jpg">
                            </a>
                        </div>
                    </div>
                </div>

                <h3>Hotové modely</h3>
                <div class="row">
                    <div class="col-md-6">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/Tree_01.png">
                            </a>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/Tree_02.png">
                            </a>
                        </div>
                    </div>
                </div>

                <h3>Hotové modely X3D</h3>
                <div class="row">
                    <div class="col">
                        <div class="x3d-cont">
                            <X3D class="x3d-item" xmlns="http://www.x3dom.org/x3dom" showStat="false" showLog="false"
                                 x="0px" y="0px" altImg="img/nox3d.png">
                                <Scene DEF='scene'>
                                    <Inline id="quad-x3d" url="x3d/tree_01.x3d"></Inline>
                                </Scene>
                            </X3D>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col">
                        <div class="x3d-cont">
                            <X3D class="x3d-item" xmlns="http://www.x3dom.org/x3dom" showStat="false" showLog="false"
                                 x="0px" y="0px" altImg="img/nox3d.png">
                                <Scene DEF='scene'>
                                    <Inline id="quad-x3d" url="x3d/tree_02.x3d"></Inline>
                                </Scene>
                            </X3D>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.col-lg-10 -->
        </div>
        <!-- /.row -->

        <div class="row">
            <div class="col-lg-10 mx-auto text-center">
                <h2>3D scan: Vesmírná loď - <a href="#oscar">Oscar Hernández</a></h2>
                <hr class="small">

                <h3>Předloha</h3>
                <div class="row">
                    <div class="col-md-6">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/lod-photo-1.jpg">
                            </a>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/lod-photo-2.jpg">
                            </a>
                        </div>
                    </div>
                </div>

                <h3>Hotový model LOD1 (8956 trojúhelníků)</h3>
                <div class="row">
                    <div class="col-md-6">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/lod-lod1-1.png">
                            </a>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/lod-lod1-2.png">
                            </a>
                        </div>
                    </div>
                </div>

                <h3>Hotový model LOD1 (8956 trojúhelníků) X3D</h3>
                <div class="row">
                    <div class="col">
                        <div class="x3d-cont">
                            <X3D class="x3d-item" xmlns="http://www.x3dom.org/x3dom" showStat="false" showLog="false"
                                 x="0px" y="0px" altImg="img/nox3d.png">
                                <Scene DEF='scene'>
                                    <Inline id="quad-x3d" url="x3d/lod/lod-lod1.x3d"></Inline>
                                </Scene>
                            </X3D>
                        </div>
                    </div>
                </div>

                <h3>Hotový model LOD2 (2238 trojúhelníků)</h3>
                <div class="row">
                    <div class="col-md-6">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/lod-lod2-1.png">
                            </a>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/lod-lod2-2.png">
                            </a>
                        </div>
                    </div>
                </div>

                <h3>Hotový model LOD2 (2238 trojúhelníků) X3D</h3>
                <div class="row">
                    <div class="col">
                        <div class="x3d-cont">
                            <X3D class="x3d-item" xmlns="http://www.x3dom.org/x3dom" showStat="false" showLog="false"
                                 x="0px" y="0px" altImg="img/nox3d.png">
                                <Scene DEF='scene'>
                                    <Inline id="quad-x3d" url="x3d/lod/lod-lod2.x3d"></Inline>
                                </Scene>
                            </X3D>
                        </div>
                    </div>
                </div>

                <h3>Jako LOD3 je použit kužel v barvě lodě<br/><br/><br/></h3>
            </div>
            <!-- /.col-lg-10 -->
        </div>
        <!-- /.row -->

        <div class="row">
            <div class="col-lg-10 mx-auto text-center">
                <h2>Rekonstrukce z fotografií: Koník na dětském hřišti - <a href="#oscar">Oscar Hernández</a></h2>
                <hr class="small">

                <h3>Předloha</h3>
                <div class="row">
                    <?php
                    $images = glob("img/park/*.jpg");

                    foreach ($images as $image) {
                        echo '<div class="col-md-6">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="' . $image . '">
                            </a>
                        </div>
                    </div>';
                    }
                    ?>
                </div>

                <h3>Hotový model LOD1 (3632 trojúhelníků)</h3>
                <div class="row">
                    <div class="col-md-6">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/park-lod1-1.png">
                            </a>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/park-lod1-2.png">
                            </a>
                        </div>
                    </div>
                </div>

                <h3>Hotový model LOD1 (3632 trojúhelníků) X3D</h3>
                <div class="row">
                    <div class="col">
                        <div class="x3d-cont">
                            <X3D class="x3d-item" xmlns="http://www.x3dom.org/x3dom" showStat="false" showLog="false"
                                 x="0px" y="0px" altImg="img/nox3d.png">
                                <Scene DEF='scene'>
                                    <Inline id="quad-x3d" url="x3d/park/park-lod1.x3d"></Inline>
                                </Scene>
                            </X3D>
                        </div>
                    </div>
                </div>

                <h3>Hotový model LOD2 (298 trojúhelníků)</h3>
                <div class="row">
                    <div class="col-md-6">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/park-lod2-1.png">
                            </a>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/park-lod2-2.png">
                            </a>
                        </div>
                    </div>
                </div>

                <h3>Hotový model LOD2 (298 trojúhelníků) X3D</h3>
                <div class="row">
                    <div class="col">
                        <div class="x3d-cont">
                            <X3D class="x3d-item" xmlns="http://www.x3dom.org/x3dom" showStat="false" showLog="false"
                                 x="0px" y="0px" altImg="img/nox3d.png">
                                <Scene DEF='scene'>
                                    <Inline id="quad-x3d" url="x3d/park/park-lod2.x3d"></Inline>
                                </Scene>
                            </X3D>
                        </div>
                    </div>
                </div>

                <h3>Jako LOD3 je použit kvádr v barvě koníka <br/><br/><br/></h3>
            </div>
            <!-- /.col-lg-10 -->
        </div>
        <!-- /.row -->

    </div>
    <!-- /.container -->
</section>

<!-- Call to Action -->
<aside class="call-to-action bg-primary text-white">
    <div id="scene" class="container text-center">
        <h2>Celá scéna</h2>
        <a class="btn btn-dark" href="x3d/scene.zip">Stáhnout scénu</a>
        <h4>FPS: <span id="sceneFps">N/A</span></h4>
        <a id="dayButton" class="btn btn-dark">Den</a>
        <a id="nightButton" class="btn btn-dark">Noc</a>
        <a id="viewButton" class="btn btn-dark">Změnit pohled</a>
    </div>
</aside>

<!-- Map -->
<section class="map">
    <div class="x3d-cont">
        <X3D id="fullScene" class="x3d-item" xmlns="http://www.x3dom.org/x3dom" showStat="false" showLog="false" x="0px"
             y="0px" altImg="img/nox3d.png">
            <Scene DEF='scene'>
                <Inline id="quad-x3d" url="x3d/scene.x3d"></Inline>
                <Background id="sceneBg" skyColor="0.5 0.5 1"/>
            </Scene>
        </X3D>
    </div>
</section>

<!-- Footer -->
<footer id="contact">
    <div class="container">
        <div class="row">
            <div class="col-lg-10 mx-auto text-center">
                <h4>
                    <strong>Kontakt</strong>
                </h4>
                <br>
                <ul class="list-inline">
                    <li class="list-inline-item">
                        <a href="mailto:hernaosc@fel.cvut.cz">
                            <i class="fa fa-envelope fa-fw fa-3x"></i>
                        </a>
                    </li>
                    <li class="list-inline-item">
                        <a href="https://twitter.com/Osa_Soft">
                            <i class="fa fa-twitter fa-fw fa-3x"></i>
                        </a>
                    </li>
                    <li class="list-inline-item">
                        <a href="https://www.linkedin.com/in/oscar-hern%C3%A1ndez-9a06a966/">
                            <i class="fa fa-linkedin fa-fw fa-3x"></i>
                        </a>
                    </li>
                </ul>
                <hr class="small">
                <p class="text-muted">Copyright &copy; Oscar Hernández <?php echo date("Y"); ?></p>
            </div>
        </div>
    </div>
    <a id="to-top" href="#top" class="btn btn-dark btn-lg js-scroll-trigger">
        <i class="fa fa-chevron-up fa-fw fa-1x"></i>
    </a>
</footer>

<!-- Bootstrap core JavaScript -->
<script src="vendor/jquery/jquery.min.js"></script>
<script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

<!-- Plugin JavaScript -->
<script src="vendor/jquery-easing/jquery.easing.min.js"></script>

<!-- Custom scripts for this template -->
<script src="js/stylish-portfolio.js"></script>

<script src="js/js.js"></script>

</body>

</html>
